Name:           gradle
Version:        0.9
Release:        0.1.20091127git%{?dist}
Summary:        Groovy-based build system

Group:          Development/Tools
License:        ASL 2.0
URL:            http://www.gradle.org/
# git clone git://github.com/gradle/gradle.git
# (cd gradle; git checkout 72ffff)
# tar czf gradle.tar.gz gradle --exclude .git
Source0:        gradle.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildArch:      noarch

%description
A flexible groovy-based build tool.


%package open-api
Summary:        Open API definition for %{name}
Group:          Development/Tools
Requires:       jpackage-utils

%description open-api
Open API definition for gradle. It provides a simple versioned way to
interact with gradle. The open API jar is all that is needed to
develop/distribute a plugin. It provides some static functions that
dynamically load gradle from a directory you specify to do things like
create the UI or execute gradle commands directly (and I think some gradle
debugger information may soon be accessible there). All you need is the
gradle home directory and the open API jar.


%prep
%setup -q -n %{name}


%build
# Build Open API subpackage
pushd subprojects/gradle-open-api/src/main/groovy
find -name '*.java' |xargs javac
find -name '*.class' |xargs jar cf gradle-open-api.jar
popd

# ...and nothing else (matters)


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# Open API
pushd subprojects/gradle-open-api/src/main/groovy
install -p -m644 gradle-open-api.jar \
        $RPM_BUILD_ROOT%{_javadir}/gradle-open-api-%{version}.jar
ln -s gradle-open-api-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/gradle-open-api.jar
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files open-api
%defattr(-,root,root,-)
%{_javadir}/gradle-open-api-%{version}.jar
%{_javadir}/gradle-open-api.jar
%doc website/src/content/license.html


%changelog
* Fri Nov 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.9-0.1.20091127git
- Initial packaging
